Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class IncludeComponent

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated
              convert.relaxng.edit.Component
                  convert.relaxng.edit.IncludeComponent

All Implemented Interfaces:
  Container

    public class IncludeComponent

extends Component
implements Container

Constructor Summary
`IncludeComponent()`
`IncludeComponent(java.lang.String href)`

Method Summary
`
`<T> T`
` | `accept(ComponentVisitor<T> visitor)`
`void` | `componentsAccept(ComponentVisitor<?> visitor)`
`java.lang.String` | `getBaseUri()`
`java.util.List<Component>` | `getComponents()`
`java.lang.String` | `getHref()`
`java.lang.String` | `getNs()`
`void` | `setBaseUri(java.lang.String baseUri)`
`void` | `setHref(java.lang.String href)`
`void` | `setNs(java.lang.String ns)`

Methods inherited from class convert.relaxng.edit.Annotated
`attributeAnnotationsAccept, childElementAnnotationsAccept, followingElementAnnotationsAccept, getAttributeAnnotation, getAttributeAnnotations, getChildElementAnnotations, getContext, getFollowingElementAnnotations, getLeadingComments, leadingCommentsAccept, mayContainText, setContext`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeComponent

    public IncludeComponent()

### IncludeComponent

    public IncludeComponent(java.lang.String href)

Method Detail

### getHref

    public java.lang.String getHref()

### setHref

    public void setHref(java.lang.String href)

### getComponents

    public java.util.List<Component> getComponents()

  Specified by:
    `getComponents` in interface `Container`

### getNs

    public java.lang.String getNs()

### setNs

    public void setNs(java.lang.String ns)

### getBaseUri

    public java.lang.String getBaseUri()

### setBaseUri

    public void setBaseUri(java.lang.String baseUri)

### accept

    public <T> T accept(ComponentVisitor<T> visitor)

  Specified by:
    `accept` in class `Component`

### componentsAccept

    public void componentsAccept(ComponentVisitor<?> visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD